Subject: [bug#74505] [PATCH] Update freeciv to version 3.1.3

From: Rodion Goritskov <[email-masked]>
Date: Mon, 25 Nov 2024 00:37:11 +0400

Hi!

I tried building and running an updated version.
It builds fine, but game has no sound.

>     (inputs
> -    (list curl cyrus-sasl gtk+ sdl-mixer zlib))
> +    (list curl cyrus-sasl gtk+ sdl-mixer zlib sqlite))

As far as I understand - sdl-mixer version 1 support had been dropped in
version 3.1.0 [1]

I tried building with sdl2-mixer instead of sdl-mixer - that fixed the
sound issue.

Also, I think that dependency list should be sorted alphabetically (it
looks like it was previously).

[1] - https://web.archive.org/web/https://gna.org/patch/?6246